## resource-agents 4.4.0

=== debian/changelog ===
resource-agents (1:4.4.0-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
  * Dropped changes, included in Debian:
    - Test dep on postgresql, not postgresql-11 which is now gone.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 15 Feb 2020 16:56:30 -0800

resource-agents (1:4.4.0-3) unstable; urgency=medium

  * debian/salsa-ci.yml: enable CI
  * debian/control: update Standards-Version to 4.5.0
  * debian/tests: fix pgsql test for postgresql-12

 -- Valentin Vidic <vvidic@debian.org>  Mon, 10 Feb 2020 19:10:10 +0100

resource-agents (1:4.4.0-2) unstable; urgency=medium

  * debian/patches: fix shell expansion in MailTo (Closes: #944694)
  * debian/resource-agents.lintian-overrides: cleanup

 -- Valentin Vidic <vvidic@debian.org>  Sat, 16 Nov 2019 10:47:46 +0100

resource-agents (1:4.4.0-1ubuntu2) focal; urgency=medium

  * Test dep on postgresql, not postgresql-11 which is now gone.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 14 Feb 2020 17:20:21 -0800

resource-agents (1:4.4.0-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
  * Dropped changes (in Debian):
    - d/p/lp1825250-ethmonitor-check-if-interface-exists-by-link.patch:
      ethmonitor: check if interface exists by link.
      [Fixed upstream]
    - d/p/lp1825250-ethmonitor-fix-is_interface-regression.patch:
      ethmonitor: fix is_interface() regression.
      [Fixed upstream]

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 08 Nov 2019 16:45:38 +0000

resource-agents (1:4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
  * debian/control: update Standards-Version to 4.4.1
  * debian/control: build using Rules-Requires-Root: no
  * debian/patches: refresh for new version
  * debian/control: use debhelper v12
  * debian/control: add Pre-Depends to ldirectord
  * debian/rules: fix output of gencontrol
  * debian/patches: mysql-common: fix startup check

 -- Valentin Vidic <vvidic@debian.org>  Thu, 24 Oct 2019 20:18:24 +0200

resource-agents (1:4.3.0-2) unstable; urgency=medium

  * debian/patches: ZFS: fix bashism (Closes: #933398)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 17 Aug 2019 11:42:02 +0200

resource-agents (1:4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0 (Closes: #927311)
  * debian/patches: drop xen-toolstack.patch
  * debian/patches: refresh for new version
  * debian/control: update Standards-Version to 4.4.0

 -- Valentin Vidic <vvidic@debian.org>  Sat, 13 Jul 2019 21:32:37 +0200

resource-agents (1:4.2.0-2) unstable; urgency=medium

  * debian/rules: fix build with merged-usr (Closes: #915848)
  * debian/patches: use /run for ldirectord pid file

 -- Valentin Vidic <vvidic@debian.org>  Sun, 09 Dec 2018 21:04:49 +0100

resource-agents (1:4.2.0-1ubuntu2) eoan; urgency=medium

  * Fix heartbeat/ethmonitor not listing network interfaces without IP
    addresses (LP: #1825250). Fixed by upstream patches:
    - d/p/lp1825250-ethmonitor-check-if-interface-exists-by-link.patch:
      ethmonitor: check if interface exists by link
    - d/p/lp1825250-ethmonitor-fix-is_interface-regression.patch:
      ethmonitor: fix is_interface() regression

 -- Heitor Alves de Siqueira <halves@canonical.com>  Tue, 23 Apr 2019 14:17:29 -0300

resource-agents (1:4.2.0-1ubuntu1) disco; urgency=medium

  * d/control: Demote python3-googleapi to Suggests to avoid inclusion
    in Ubuntu main.

 -- James Page <james.page@ubuntu.com>  Thu, 22 Nov 2018 14:31:51 +0000

resource-agents (1:4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * debian/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Wed, 24 Oct 2018 11:43:37 +0200

resource-agents (1:4.2.0~rc1-1) unstable; urgency=medium

  * New upstream version 4.2.0~rc1
  * debian/patches: refresh for new version
  * debian/lintian-overrides: ignore long lines in manpages
  * debian/copyright: update file paths
  * debian/rules: add python3 for gcp agents
  * debian/tests: require postgresql-11 to run the pgsql test

 -- Valentin Vidic <vvidic@debian.org>  Thu, 18 Oct 2018 12:14:03 +0200

resource-agents (1:4.1.1-4) unstable; urgency=medium

  * debian/patches: try to fix failing pgsql ocft
  * debian/patches: use postgresql-11 to test pgsql

 -- Valentin Vidic <vvidic@debian.org>  Fri, 12 Oct 2018 10:03:56 +0200

resource-agents (1:4.1.1-3) unstable; urgency=medium

  * debian/tests: use default-mysql-server (Closes: #903852)
  * debian/copyright: include whole CC-BY-SA license
  * debian/copyright: fix file names
  * debian/control: update my email in Uploaders
  * debian/control: update Standards-Version to 4.2.1
  * debian/patches: use /run in tmpfiles.d

 -- Valentin Vidic <vvidic@debian.org>  Tue, 11 Sep 2018 22:50:02 +0200
