=== debian/tests/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Restrictions: needs-root, isolation-container
 
 Test-Command: debian/tests/run-ocft pgsql
-Depends: resource-agents, postgresql-11
+Depends: resource-agents, postgresql
 Restrictions: needs-root, isolation-container
 
 Test-Command: debian/tests/run-ocft postfix
