## resource-agents 4.5.0

=== debian/changelog ===
resource-agents (1:4.5.0-2ubuntu2) focal; urgency=medium

  * Remove bind9 autopkgtest not compatible with ubuntu (LP: #1872877)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 15 Apr 2020 03:32:33 +0000

resource-agents (1:4.5.0-2ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1866383). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid
      inclusion in Ubuntu main.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 07 Apr 2020 22:43:39 +0000

resource-agents (1:4.5.0-2) unstable; urgency=medium

  * debian/tests: fix test for new bind9 version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 05 Apr 2020 20:10:00 +0200

resource-agents (1:4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * debian/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Fri, 06 Mar 2020 19:50:58 +0100
