=== debian/tests/control ===
--- 
+++ 
@@ -26,12 +26,6 @@
 Depends: resource-agents, postfix
 Restrictions: needs-root, isolation-container
 
-# currently failing on Ubuntu autopkgtest setup for networking differences, so skip there
-# Working in Debci, but compared to badtest retains all the other tests coverage
-Test-Command: [ "`lsb_release -is`" = "Ubuntu" ] || debian/tests/run-ocft named
-Depends: resource-agents, bind9, bind9-host, bind9utils, lsb-release
-Restrictions: needs-root, isolation-container
-
 Test-Command: debian/tests/run-ocft Filesystem
 Depends: resource-agents
 Restrictions: needs-root, isolation-machine
