## resource-agents 4.6.1

=== debian/changelog ===
resource-agents (1:4.6.1-1ubuntu2) groovy; urgency=medium

  * d/p/u/lp1895348-*: Post Release Fixes (LP: #1895348):
    - [d22700fc] azure-lb: Don't redirect nc listener output to pidfile
    - [3b0ffc59] build: fix distcheck issue introduced by including
                 READMEs in heartbeat directory
    - [73551ac0] galera: Fix automatic recovery when a cluster was not
                 gracefully stopped

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 11 Sep 2020 19:30:14 +0000

resource-agents (1:4.6.1-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1886603). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion in
      Ubuntu main.
  * Dropped (from Ubuntu):
    - Remove bind9 autopkgtest not compatible with ubuntu (LP: 1872877)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 10 Jul 2020 11:55:55 -0300

resource-agents (1:4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1
  * debian/control: use debhelper v13

 -- Valentin Vidic <vvidic@debian.org>  Thu, 18 Jun 2020 21:03:31 +0200
