=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: resource-agents
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
            Valentin Vidic <vvidic@debian.org>
 Build-Depends: autoconf,
                automake,
                cluster-glue-dev,
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                dh-exec,
                dh-python,
                docbook-xml,
@@ -29,7 +30,8 @@
                systemd [linux-any],
                xsltproc,
                xml-twig-tools,
-Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://github.com/ClusterLabs/resource-agents
 Vcs-Browser: https://salsa.debian.org/ha-team/resource-agents
 Vcs-Git: https://salsa.debian.org/ha-team/resource-agents.git
@@ -37,7 +39,8 @@
 Package: resource-agents
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, cluster-glue, gawk
-Recommends: libxml2-utils, net-tools, python3-googleapi
+Recommends: libxml2-utils, net-tools
+Suggests: python3-googleapi
 Replaces: cluster-agents (<= 1:1.0.4-1), rgmanager (<= 3.0.12-2+b1), resource-agents-dev (<< 1:3.9.6)
 Conflicts: cluster-agents (<= 1:1.0.4-1), rgmanager (<= 3.0.12-2+b1), resource-agents-dev (<< 1:3.9.6)
 Provides: resource-agents-dev
@@ -70,6 +73,7 @@
          libwww-perl,
          ${misc:Depends},
          ${perl:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: logrotate, rsyslog | system-log-daemon
 Conflicts: libpils0 (<< 2.0.8-3),
            libstonith0 (<< 2.0.8-3),
