## resource-agents 4.7.0

=== debian/changelog ===
resource-agents (1:4.7.0-1ubuntu7.3) jammy; urgency=medium

  * d/p/nfs-stop-unmount-fail.patch: report failure when stopping the
    nfs agent when unmounting operations fail (LP: #2065848)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 20 Sep 2024 11:40:16 -0300

resource-agents (1:4.7.0-1ubuntu7.2) jammy; urgency=medium

  * d/p/pgsql-heartbeat-postgresql-issue-jammy.patch: walreceiver name
    is changed to make the check for running wal receiver process
    compatible with PostgreSQL >= 11 (LP: #2013084)

 -- Michal Maloszewski <michal.maloszewski@canonical.com>  Wed, 03 May 2023 10:44:56 +0200

resource-agents (1:4.7.0-1ubuntu7.1) jammy; urgency=medium

  * d/control: breaks/replaces for file reorg (LP: #1981598)
    to un-break upgrades

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 14 Jul 2022 13:09:42 +0200

resource-agents (1:4.7.0-1ubuntu7) jammy; urgency=medium

  * d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
  * d/resource-agents-extra.docs: install d/DEPRECATED_AGENTS.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 29 Mar 2022 16:47:03 -0300

resource-agents (1:4.7.0-1ubuntu6) jammy; urgency=medium

  * d/curated-agents: add iSCSI resource agents.
    They are iscsi, iSCSILogicalUnit and iSCSITarget.
  * d/control: suggest packages used by the agents in the base binary package
    (LP: #1863677).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 24 Feb 2022 11:58:58 -0300

resource-agents (1:4.7.0-1ubuntu5) impish; urgency=medium

  * d/curated-agents: add LVM-activate agent.
  * d/install-curated-agents: check if ocft config exists to install it.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 11 Jun 2021 16:12:05 -0300

resource-agents (1:4.7.0-1ubuntu4) impish; urgency=medium

  * Rename resource-agents with non-curated agents to resource-agents-extra.
    - d/control: rename the resource-agents binary package to
      resource-agents-extra.
    - d/extract-agents-description:
      + Rename the package name used in the substvars filename.
      + Rename all the occurrences of the 'unsupported' term to 'non-curated'.
    - Rename RESOURCE_AGENTS_DIR to RESOURCE_AGENTS_EXTRA_DIR with the
      appropriate path in the following files:
      + d/install-common-files
      + d/install-common-files
      + d/install-supported-agents
      + d/resource-agents-cleanup
      + d/rules
  * Rename resource-agents-supported with curated agents to
    resource-agents-base.
    - d/control:
      + Rename resource-agents-supported binary package to resource-agents-base.
      + Update the short and long description to not use the 'supported' term.
      + Rename the supportedAgents substvar to curatedAgents.
    - d/curated-agents: new file, this is the renamed d/supported-agents file.
    - d/extract-agents-description:
      + Rename the package name used in the substvars filename.
      + Rename all the occurrences of the 'supported' term to 'curated'.
    - d/install-common-files: Rename all the occurrences of the 'supported'
      term to 'curated'.
    - d/install-curated-agents: new file, this is the renamed
      d/install-supported-agents script.
    - d/rules: call d/install-curated-agents instead of
      d/install-supported-agents.
    - d/t/control: make IPaddr2 test depend on resource-agents-base instead of
      resource-agents-supported.
  * Create a transitional binary package called resource-agents.
    - d/control: add a new section for the transitional package, adding
      resource-agents-{base,extra} as dependencies.
  * d/control: add a missing Breaks/Replaces relation to the
    resource-agents-base.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 12 May 2021 16:15:15 -0300

resource-agents (1:4.7.0-1ubuntu3) impish; urgency=medium

  * d/control: make resource-agents recommend resource-agents-supported.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 03 May 2021 09:10:54 -0300

resource-agents (1:4.7.0-1ubuntu2) impish; urgency=medium

  * Create the resource-agents-common binary package with files to be shared
    by the supported and unsupported agents.
    - d/control: add a new paragraph for the new binary package and add it as
      a runtime dependency of resource-agents.
    - d/extract-agents-description: add this new script to extract agents
      description.
    - d/{ldirectord,resource-agents}.install: removed, now files are installed
      via rules file.
    - d/install-{common,ldirectord}-files: create those scripts to install files
      in resource-agents-common and ldirectord binary packages.
    - d/rules:
      + Override dh_auto_install to set the $DESTDIR variable.
      + Override dh_install to move files to the correspondent binary package.
      + Clean up the dh_gencontrol override, call the
        d/extract-agents-description shell script instead of implementing a
        complex logic in a Makefile.
  * Create the resource-agents-supported binary package.
    - d/control: add a new paragraph for the new binary package.
    - d/extract-agents-description: update the script to set also the new
      supportedAgents substvar.
    - d/install-supported-agents: add a shell script to manage the
      installation of all supported agents into the right binary package.
    - d/resource-agents-common.lintian-overrides: create this new file to move
      the lintian overrides previously present in resource-agents binary
      package.
    - d/resource-agents.lintian-overrides: remove the overrides referring to
      code moves to resource-agents-common.
    - d/rules: call the d/install-supported-agents shell script in the
      dh_install override.
    - d/supported-agents: add a file with a list of the supported agents.
    - d/t/control: make IPaddr2 test depend on resource-agents-supported
      instead of resource-agents.
  * Add python3 as a runtime dependency of resource-agents. Lintian complained
    about that.


