=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

RESOURCE_AGENTS_EXTRA_DIR="$(CURDIR)/debian/resource-agents-extra"

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_testdir
	# Remove epoch or else the Makefile explodes
	echo $(DEB_VERSION_UPSTREAM_REVISION) > .tarball-version
	[ -f configure ] || sh autogen.sh
	if [ -e configure -a ! -x configure ]; then chmod u+x configure; fi
	./configure --sbindir=/usr/sbin --libexecdir=/usr/lib			\
		    --with-ocf-root=/usr/lib/ocf --with-initdir=/etc/init.d	\
		    --with-rsctmpdir=/run/resource-agents			\
		    --prefix=/usr --sysconfdir=/etc --localstatedir=/var	\
		    --mandir=/usr/share/man --libdir=/usr/lib --disable-fatal-warnings \
		    SHELL=/bin/bash PYTHON=/usr/bin/python3 \
		    BASH_SHELL=/bin/bash RM=/bin/rm \
		    ROUTE=/sbin/route GREP=/bin/grep \
		    TAR=/bin/tar PING=/bin/ping IFCONFIG=/sbin/ifconfig \
		    REBOOT=/sbin/reboot POWEROFF_CMD=/sbin/poweroff

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(RESOURCE_AGENTS_EXTRA_DIR)

override_dh_install:
	debian/install-ldirectord-files
	debian/install-common-files
	debian/install-curated-agents
	debian/resource-agents-cleanup

	dh_install

override_dh_python3:
	dh_python3 /usr/lib/ocf/lib/heartbeat

override_dh_auto_clean:
	dh_auto_clean
	rm -f .version .tarball-version
	find . -name Makefile.in | xargs -r rm

override_dh_gencontrol:
	debian/extract-agents-description
	dh_gencontrol
