=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: IPaddr2
-Depends: resource-agents
+Depends: resource-agents-base
 Restrictions: needs-root, isolation-container
 
 Test-Command: service ldirectord status
@@ -26,6 +26,12 @@
 Depends: resource-agents, postfix
 Restrictions: needs-root, isolation-container
 
+# currently failing on Ubuntu autopkgtest setup for networking differences, so skip there
+# Working in Debci, but compared to badtest retains all the other tests coverage
+Test-Command: [ "`lsb_release -is`" = "Ubuntu" ] || debian/tests/run-ocft named
+Depends: resource-agents, bind9 (>= 1:9.16.1-2), bind9-host, bind9-utils, lsb-release
+Restrictions: needs-root, isolation-container
+
 Test-Command: debian/tests/run-ocft Filesystem
 Depends: resource-agents
 Restrictions: needs-root, isolation-machine
