## resource-agents 4.11.0

=== debian/changelog ===
resource-agents (1:4.11.0-3ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993440). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - Create the resource-agents-common binary package.
      This new binary package will be used by curated and non-curated
      Resource Agents.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it was
      not listed as a dependency.
    - Create the resource-agents-base binary package.
      It contains all the resource agents curated by Ubuntu Server.
    - Rename resource-agents with non-curated agents to resource-agents-extra.
    - Create a transitional binary package called resource-agents.
      It depends on both resource-agents-{base,extra}.
    - d/curated-agents: add LVM-activate and iSCSI related agents.
      They are iscsi, iSCSILogicalUnit and iSCSITarget.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 18 Jan 2023 09:41:55 -0300

resource-agents (1:4.11.0-3) unstable; urgency=medium

  * debian/patches: fix build failure in shellcheck of WAS6
  * debian/control: update Standards-Version to 4.6.2

 -- Valentin Vidic <vvidic@debian.org>  Mon, 26 Dec 2022 13:20:51 +0100

resource-agents (1:4.11.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Valentin Vidic ]
  * debian/watch: update github url
  * debian/control: update Standards-Version to 4.6.1
  * debian/lintian-overrides: refresh for new lintian version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 13 Nov 2022 13:58:03 +0100

resource-agents (1:4.11.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971317). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - Create the resource-agents-common binary package.
      This new binary package will be used by curated and non-curated
      Resource Agents.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it was
      not listed as a dependency.
    - Create the resource-agents-base binary package.
      It contains all the resource agents curated by Ubuntu Server.
    - Rename resource-agents with non-curated agents to resource-agents-extra.
    - Create a transitional binary package called resource-agents.
      It depends on both resource-agents-{base,extra}.
    - d/curated-agents: add LVM-activate agent.
    - d/curated-agents: add iSCSI resource agents.
      They are iscsi, iSCSILogicalUnit and iSCSITarget.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
  * Dropped:
    - d/control: remove old Conflicts and Replaces.
      + Replaces/Conflicts in resource-agents*: cluster-agents, rgmanager
        and resource-agents-dev.
      + Conflicts in ldirectord: libpils0, libstonith0 and stonith.
      [changes applied in Debian version 1:4.10.0-1]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 08 Aug 2022 17:35:17 -0300

resource-agents (1:4.11.0-1) unstable; urgency=medium

  * New upstream version 4.11.0
  * debian/patches: refresh for new version
  * debian/copyright: update copyright for debian directory

 -- Valentin Vidic <vvidic@debian.org>  Wed, 06 Apr 2022 22:08:42 +0200

resource-agents (1:4.10.0-1) unstable; urgency=medium

  * New upstream version 4.10.0
  * debian/watch: update github url
  * debian/control: update Standards-Version to 4.6.0
  * debian/control: update build dependencies
  * debian/control: add bc to Depends (Closes: #1000644)
  * debian/patches: refresh for new version
  * debian/lintian-overrides: refresh for new version
  * debian/patches: fix shellcheck errors
  * debian/rules: fix version used for building
  * debian/rules: fix manpage header
  * debian/control: remove old Conflicts and Replaces
  * debian/lintian-overrides: ignore capitalization in agent names
  * debian/rules: move internal binaries to /usr/libexec/heartbeat

 -- Valentin Vidic <vvidic@debian.org>  Sun, 03 Apr 2022 13:39:33 +0200

resource-agents (1:4.7.0-1ubuntu8) kinetic; urgency=medium

  * d/control: breaks/replaces for file reorg (LP: #1981598)
    to un-break upgrades

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 14 Jul 2022 13:09:42 +0200
