=== debian/control ===
--- 
+++ 
@@ -15,23 +15,26 @@
                docbook-xsl,
                gawk,
                libglib2.0-dev,
-               liblrm2-dev (>= 1.0.12~),
+               liblrm2-dev,
                libnet1-dev,
-               libpils2-dev (>= 1.0.12~),
-               libplumb2-dev (>= 1.0.12~),
-               libplumbgpl2-dev (>= 1.0.12~),
-               libstonith1-dev (>= 1.0.12~),
+               libpils2-dev,
+               libplumb2-dev,
+               libplumbgpl2-dev,
+               libstonith1-dev,
                libtool,
                libxml2-utils,
                net-tools,
                pkg-config,
                python3,
+               python3-googleapi,
+               python3-pyroute2,
+               shellcheck,
 #              for systemd.pc:
                systemd [linux-any],
                xsltproc,
                xml-twig-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ClusterLabs/resource-agents
 Vcs-Browser: https://salsa.debian.org/ha-team/resource-agents
 Vcs-Git: https://salsa.debian.org/ha-team/resource-agents.git
@@ -53,6 +56,7 @@
 Package: resource-agents-extra
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
+         bc,
          cluster-glue,
          gawk,
          python3,
@@ -61,13 +65,10 @@
             net-tools,
             resource-agents-base (>= ${source:Version})
 Suggests: python3-googleapi
-Replaces: cluster-agents (<= 1:1.0.4-1),
-          rgmanager (<= 3.0.12-2+b1),
-          resource-agents (<< 1:4.7.0-1ubuntu2),
+Replaces: resource-agents (<< 1:4.7.0-1ubuntu2),
           resource-agents-base (<<1:4.7.0-1ubuntu7)
 Breaks: resource-agents (<< 1:4.7.0-1ubuntu2),
         resource-agents-base (<<1:4.7.0-1ubuntu7)
-Conflicts: cluster-agents (<= 1:1.0.4-1), rgmanager (<= 3.0.12-2+b1)
 Description: Cluster Resource Agents
  This package contains cluster resource agents (RAs) compliant with the Open
  Cluster Framework (OCF) specification, used to interface with various services
@@ -88,14 +89,10 @@
 # for LVM-activate agent
           dmsetup,
           lvm2
-Replaces: cluster-agents (<= 1:1.0.4-1),
-          rgmanager (<= 3.0.12-2+b1),
-          resource-agents (<< 1:4.7.0-1ubuntu2),
+Replaces: resource-agents (<< 1:4.7.0-1ubuntu2),
           resource-agents-extra (<<1:4.7.0-1ubuntu7)
 Breaks: resource-agents (<< 1:4.7.0-1ubuntu2),
         resource-agents-extra (<<1:4.7.0-1ubuntu7)
-Conflicts: cluster-agents (<= 1:1.0.4-1),
-           rgmanager (<= 3.0.12-2+b1)
 Description: Cluster Resource Agents curated by Ubuntu
  This package contains cluster resource agents (RAs) compliant with the Open
  Cluster Framework (OCF) specification, used to interface with various services
@@ -110,14 +107,8 @@
 Package: resource-agents-common
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
-Replaces: cluster-agents (<= 1:1.0.4-1),
-          rgmanager (<= 3.0.12-2+b1),
-          resource-agents-dev (<< 1:3.9.6),
-          resource-agents (<< 1:4.7.0-1ubuntu2)
+Replaces: resource-agents (<< 1:4.7.0-1ubuntu2)
 Breaks: resource-agents (<< 1:4.7.0-1ubuntu2)
-Conflicts: cluster-agents (<= 1:1.0.4-1),
-           rgmanager (<= 3.0.12-2+b1),
-           resource-agents-dev (<< 1:3.9.6)
 Provides: resource-agents-dev
 Description: Common files used by the Cluster Resource Agents
  This package contains cluster resource agents (RAs) compliant with the Open
@@ -149,9 +140,6 @@
          ${perl:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: logrotate, rsyslog | system-log-daemon
-Conflicts: libpils0 (<< 2.0.8-3),
-           libstonith0 (<< 2.0.8-3),
-           stonith (<< 2.0.8-3)
 Description: Monitors virtual services provided by LVS
  ldirectord is a stand-alone daemon to monitor real servers behind
  virtual services provided by The Linux Virtual Server (LVS).
