=== debian/rules ===
--- 
+++ 
@@ -10,16 +10,15 @@
 %:
 	dh $@ --with python3
 
+override_dh_autoreconf:
+	echo $(DEB_VERSION_UPSTREAM_REVISION) > .tarball-version
+	dh_autoreconf
+
 override_dh_auto_configure:
-	dh_testdir
-	# Remove epoch or else the Makefile explodes
-	echo $(DEB_VERSION_UPSTREAM_REVISION) > .tarball-version
-	[ -f configure ] || sh autogen.sh
-	if [ -e configure -a ! -x configure ]; then chmod u+x configure; fi
-	./configure --sbindir=/usr/sbin --libexecdir=/usr/lib			\
-		    --with-ocf-root=/usr/lib/ocf --with-initdir=/etc/init.d	\
-		    --with-rsctmpdir=/run/resource-agents			\
-		    --prefix=/usr --sysconfdir=/etc --localstatedir=/var	\
+	dh_auto_configure -- --sbindir=/usr/sbin --libexecdir=/usr/libexec \
+		    --with-ocf-root=/usr/lib/ocf --with-initdir=/etc/init.d \
+		    --with-rsctmpdir=/run/resource-agents \
+		    --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
 		    --mandir=/usr/share/man --libdir=/usr/lib --disable-fatal-warnings \
 		    SHELL=/bin/bash PYTHON=/usr/bin/python3 \
 		    BASH_SHELL=/bin/bash RM=/bin/rm \
@@ -27,8 +26,10 @@
 		    TAR=/bin/tar PING=/bin/ping IFCONFIG=/sbin/ifconfig \
 		    REBOOT=/sbin/reboot POWEROFF_CMD=/sbin/poweroff
 
+# fix manpage header
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(RESOURCE_AGENTS_EXTRA_DIR)
+	sed -i -e 's/^\(\.TH "[^"]*\?\)\\"/\1"/' $(RESOURCE_AGENTS_EXTRA_DIR)/usr/share/man/man7/*.7
 
 override_dh_install:
 	debian/install-ldirectord-files
