## resource-agents 4.12.0

=== debian/changelog ===
resource-agents (1:4.12.0-2) unstable; urgency=medium

  * debian/patches: add IPv6addr-delay.patch (Closes: #1034280)
  * debian/patches: refresh patches offsets

 -- Valentin Vidic <vvidic@debian.org>  Thu, 13 Apr 2023 21:43:52 +0200

resource-agents (1:4.12.0-1) unstable; urgency=medium

  * New upstream version 4.12.0
  * debian/control: drop lsb-base dependency
  * debian/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Thu, 26 Jan 2023 00:44:32 +0100
