=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
-
-RESOURCE_AGENTS_EXTRA_DIR="$(CURDIR)/debian/resource-agents-extra"
 
 %:
 	dh $@ --with python3
@@ -28,16 +26,8 @@
 
 # fix manpage header
 override_dh_auto_install:
-	$(MAKE) install DESTDIR=$(RESOURCE_AGENTS_EXTRA_DIR)
-	sed -i -e 's/^\(\.TH "[^"]*\?\)\\"/\1"/' $(RESOURCE_AGENTS_EXTRA_DIR)/usr/share/man/man7/*.7
-
-override_dh_install:
-	debian/install-ldirectord-files
-	debian/install-common-files
-	debian/install-curated-agents
-	debian/resource-agents-cleanup
-
-	dh_install
+	dh_auto_install
+	sed -i -e 's/^\(\.TH "[^"]*\?\)\\"/\1"/' $(CURDIR)/debian/tmp/usr/share/man/man7/*.7
 
 override_dh_python3:
 	dh_python3 /usr/lib/ocf/lib/heartbeat
@@ -48,5 +38,18 @@
 	find . -name Makefile.in | xargs -r rm
 
 override_dh_gencontrol:
-	debian/extract-agents-description
+	set -e; \
+	export OCF_ROOT=$(CURDIR)/debian/resource-agents/usr/lib/ocf; \
+	export LC_ALL=C; \
+	( \
+	  echo -n "agents="; \
+	  for agent in debian/resource-agents/usr/lib/ocf/resource.d/heartbeat/*; do \
+	    echo "$$agent meta-data ..." >&2; \
+	    desc=$$($$agent meta-data 2>/dev/null | xml_grep --root resource-agent/shortdesc --text_only /dev/stdin | sed -n '/^$$/!{s/^[[:space:]]*//p; q}'); \
+	    line=$$(echo "$$(basename $$agent): $$desc" | sed -e 's/^\(.\{75\}\).\{4\}.*/\1.../'); \
+	    echo -n " $$line\$${Newline}"; \
+	  done; \
+	  echo \
+	) >> debian/resource-agents.substvars
+	rm -rf debian/resource-agents/usr/lib/ocf/lib/heartbeat/__pycache__
 	dh_gencontrol
